Subject: bug#42147: 28.0.50; pure vs side-effect-free, missing optimizations?

From: Mattias Engdegård <[email-masked]>
Date: Fri, 3 Jul 2020 20:47:08 +0200

3 juli 2020 kl. 20.31 skrev Paul Eggert <[email-masked]>:

> No, GCC generates x87 code by default.

Sorry, my mistake -- I was testing various compiler options with godbolt and must have looked at LLVM instead.

> Having Emacs use --with-mfpmath=sse should improve performance a bit on x86. But
> more important, it should make floating point more reproducible. If I get the
> time I'll look into having 'configure' add it automatically.

Thank you, this would be a prerequisite for further improvements.